NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.BlendCurve3DBuilder Class Reference

Represents a NXOpen.Tooling.BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small. More...

Inheritance diagram for NXOpen.Tooling.BlendCurve3DBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BlendCurveOptions { BestFit, Variable, Vector, CurrentView }
 The blend curve creation methods: Best Fit, Variable, Vector, Current View More...
 
enum  InputCurvesOption { Keep, Hide, Delete }
 The input curves option to keep, hide or delete input curves More...
 

Public Member Functions

unsafe NXOpen.Curve[] CreateBlendCurves ()
 Creates the blend curves for preview. More...
 
unsafe void DeleteBlendCurves (NXOpen.Curve[] blendCurves)
 Delete the preview blend curves. More...
 
unsafe void SaveFilletCurves ()
 Save the corner fillet curves. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Tooling.BlendCurve3DBuilder.BlendCurveOptions 
BlendCurveOption [get, set]
 Returns or sets the blend curve option More...
 
unsafe NXOpen.ScCollector CornerFillet [get]
 Returns the corners to blend. More...
 
unsafe NXOpen.ScCollector CurveBlend [get]
 Returns the curves to blend. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe
NXOpen.Tooling.BlendCurve3DBuilder.InputCurvesOption 
InputCurves [get, set]
 Returns or sets the input curves More...
 
unsafe double MinimalRadius [get, set]
 Returns or sets the minimal radius of the corner to blend. More...
 
unsafe NXOpen.Direction ReferenceDirection [get, set]
 Returns or sets the reference direction from which to get the curve blend side. More...
 
unsafe bool ReverseSide [get, set]
 Returns or sets the flag of reverse curve blend side. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.BlendCurve3DBuilder builder which implements blend curves in one side where the corner radius is too small.

This builder's Commit generally can produce only one (sometimes more than one) new blended curve, the GetCommittedObjects can be used to get the objects. The input curves will be deleted.

To create a new instance of this class, use NXOpen.Tooling.CAMDataManager.CreateBlendCurve3dBuilder

Default values.

Property Value

BlendCurveOption

Vector

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

InputCurves

Hide

MinimalRadius

10 (millimeters part), 0.4 (inches part)

Created in NX9.0.0

Member Enumeration Documentation

The blend curve creation methods: Best Fit, Variable, Vector, Current View

Enumerator
BestFit 

Create blend curve by best fit method

Variable 

Create blend curve by variable method

Vector 

Create blend curve by vector method

CurrentView 

Create blend curve by current view method

The input curves option to keep, hide or delete input curves

Enumerator
Keep 

Keep input curves

Hide 

Hide input curves

Delete 

Delete input curves

Member Function Documentation

unsafe NXOpen.Curve [] NXOpen.Tooling.BlendCurve3DBuilder.CreateBlendCurves ( )
inline

Creates the blend curves for preview.

Created in NX9.0.0

License requirements: None.

Returns
unsafe void NXOpen.Tooling.BlendCurve3DBuilder.DeleteBlendCurves ( NXOpen.Curve[]  blendCurves)
inline

Delete the preview blend curves.

Created in NX9.0.0

License requirements: None.

Parameters
blendCurves
unsafe void NXOpen.Tooling.BlendCurve3DBuilder.SaveFilletCurves ( )
inline

Save the corner fillet curves.

Created in NX9.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.Tooling.BlendCurve3DBuilder.BlendCurveOptions NXOpen.Tooling.BlendCurve3DBuilder.BlendCurveOption
getset

Returns or sets the blend curve option

Created in NX9.0.2

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.ScCollector NXOpen.Tooling.BlendCurve3DBuilder.CornerFillet
get

Returns the corners to blend.

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Tooling.BlendCurve3DBuilder.CurveBlend
get

Returns the curves to blend.

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Tooling.BlendCurve3DBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Tooling.BlendCurve3DBuilder.InputCurvesOption NXOpen.Tooling.BlendCurve3DBuilder.InputCurves
getset

Returns or sets the input curves

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.Tooling.BlendCurve3DBuilder.MinimalRadius
getset

Returns or sets the minimal radius of the corner to blend.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Direction NXOpen.Tooling.BlendCurve3DBuilder.ReferenceDirection
getset

Returns or sets the reference direction from which to get the curve blend side.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.BlendCurve3DBuilder.ReverseSide
getset

Returns or sets the flag of reverse curve blend side.

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.